Subject: Bug#551: Windows x2goclient: "use whole display" does not always use the whole display

From: Michael DePaulo <[email-masked]>
Date: Thu, 17 Jul 2014 09:05:24 -0400

Package: x2goclient
Version: 4.0.2.1+hotfix1

Screenshot:
http://i.imgur.com/XnQYU4K.png

As mentioned in this email thread:
[X2Go-Dev] Can't get my X2GO running on the screen I want

I am experiencing this sporadically (not 100% of the time) on my system.

Windows 8.1 64-bit with Update 1
Display 1: not the "main display:: 2048x1152, placed on left
Display 2: "main display": 2560x1440, placed on right

Note that when I say "main display" I mean "Windows has it set as the
main display."

I produce this bug  by selecting "Use whole display" "Display 2" in
Session preferences -> Settings -> Display.
I also enabled Xinerama. I was unable to produce it with Xinerama
disabled, but that might be random chance.

When it does occur, there are no window decorations (like you'd
expect), but the X server only takes up the size of display 1,
2048x1152. It appears in the top left corner of display 2.
(The screenshot makes this clear.)

This might be a duplicate of #462. However, more info is needed about that bug.